import request from '../request'
//金牌车教的open api
const openApi = process.env.NODE_ENV === 'development' ? 'https://nbjk1.zzxcx.net/nbjk-admin/' : 'https://nbjk1.zzxcx.net/nbjk-admin/'
const open = {
    //open-api/teachingVideo/info/treeList
    //获取免费的题库
    questionInfoSelectFreeQuestionInfo(params) {
        return request({
            url: openApi + "/open-api/question/info/selectFreeQuestionInfo",
            params
        })


    },
    //获取视频列表
    teachingVideoInfoTreeList(params) {
        return request({
            url: "open-api/teachingVideo/info/treeList",
            params
        })

    },
    questionInfoSelectTestK14QuestionInfoList(params) {
        return request({
            url: `${openApi}/open-api/question/info/selectTestK14QuestionInfoList`,
            method: "GET",
            params
        })

    },
    lightingCombinationList() {
        return request({
            url: `${openApi}/open-api/lighting/combination/list`,
            method: "GET"
        })
    },
    lightingCombinationId(id) {
        return request({
            url: `${openApi}/open-api/lighting/combination/` + id,
            method: "GET",
        })
    },
    lightingItemList() {
        return request({
            url: `${openApi}/open-api/lighting/item/list`,
            method: "GET",
        })
    },
    //批量取题
    questionInfoGetQuestionInfoByIds(params){
        return request({
            url: "/question/info/getQuestionInfoByIds",
            params
        })
    },
    //根据字典类型查询字典数据信息
    systemDictDataType(dictType){
        return request({
            url: "open-api/system/dict/data/type/"+dictType
        })

    }
}
export default open